Draft Dimensions/Cotation

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Dimension and the translation is 7% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Text.svg Text
Next: BSpline Draft BSpline.svg Arrow-right.svg

Draft Dimension.svg Cotation

Emplacement du menu
Draft → Dimension
Ateliers
Draft, Arch
Raccourci par défaut
D I
Introduit dans la version
-
Voir aussi
FlipDimension


Description

L'outil Cotation demande à l'utilisateur deux points définissants le segment qui doit être côté puis, un troisième point afin de positionner la ligne de cotation.

The tool can measure edges or lines directly attached to solid bodies; if the body changes, the dimension updates itself. The tool can also measure a diameter or radius of curvature such as those produced by a Draft Arc, or by the Part Fillet, Sketcher CreateFillet, and PartDesign Fillet operations.

The resulting dimension is placed in the 3D view, and is considered a Draft object. This object can be displayed on a TechDraw Workbench Page, using the TechDraw NewDraft or TechDraw NewArch tools. Alternatively, TechDraw has its own tools to display dimensions, such as TechDraw Dimension Length and TechDraw Dimension Radius; however, these tools are meant for preparing technical drawings, so they create the dimensions only in the drawing page, and not in the 3D view.

Screenshot Draft Dimension.jpg

Screenshot Draft Dimension.jpg

Utilisation

  • Cliquez sur l'outil Draft Dimension.png cotation ou pressez les touches D et I
  • Cliquez un premier point sur une zone vide de la vue 3D, ou tapez une coordonnée
  • Cliquez un point sur une zone vide de la vue 3D, ou tapez une coordonnée
  • Cliquez un troisième point sur une zone vide de la vue 3D, ou tapez une coordonnée

The dimension can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

The measuring points can be changed after creation by changing the start and end properties.

The position of the measurement line can also be changed after creation by changing its direction property.

Types de cotations disponibles

  • Cotation linéaire : cliquez deux points ou sur une ligne en pressant la touche ALT pour forcer une contrainte
  • Cotation horizontale/verticale : pressez la touche SHIFT jusqu'a ce que le second point soit sélectionné.
  • Cotation d'un diamètre : pressez sur la touche ALT, puis sélectionnez une ligne courbe.
  • Cotation d'un rayon : pressez sur la touche ALT, sélectionnez une ligne courbe, puis relâchez la touche ALT et appuyez sur la touche SHIFT.
  • Cotation angulaire  : en choisissant 2 lignes (arêtes) droites avec la touche ALT pressée.
  • Linear dimensions: hold the Alt key, or click on the View-select.svg select edge button, and pick a straight edge, then pick a second point to draw the dimension line parallel to that edge.
Note: you can also pre-select the edge before calling the tool.
  • Horizontal and vertical dimensions: pick one point, then pick a second point, then hold the Shift key and move the pointer horizontally or vertically, then pick a third point to draw the dimension line parallel to either the X axis or the Y axis.
Note 1: click and hold Shift and move the pointer in different directions many times until the dimension line aligns to the desired axis. Clicking Shift while the pointer is far from the first point will usually align the dimension to the X axis; if the pointer is close to the first point it will usually align the dimension to the Y axis.
Note 2: instead of picking two points, pick an edge while holding Alt.
  • Diameter dimensions: hold the Alt key and pick a curved edge, then pick a second point to draw the dimension line.
    • Radius dimensions: hold the Alt key and pick a curved edge, then hold the Shift key and pick a second point to draw the dimension line.
  • Angular dimensions: hold the Alt key and then pick two straight edges, then pick a point between the two edges to show the acute or obtuse angle, or elsewhere to show a supplementary or explementary angle.
Note: the displayed angle largely depends on the original position of the selected edges. If you would like to display a particular angle, you may have to add auxiliary Draft Lines that extend from the original edges, and measure these extensions.

Note: by pre-selecting an edge, or by picking it with Alt or View-select.svg select edge, the dimension will become parametric, that is, it will remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them, and adjust the displayed measurement.

Options

  • Pressez les touches X, Y ou Z après un point, pour [Draft_Constrain/fr|contraindre] le prochain point, sur l'axe donné.
  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche, du composant logiciel enfichable, indépendamment de la distance.
  • Après avoir cliqué votre premier point, donnez une direction horizontale ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et votre ligne sera contrainte horizontalement ou verticalement,

ou, quand vous travaillez sur un bord circulaire, bascule entre les modes diamètre et rayon.

  • Pressez la touche R, ou activez/désactivez la case à cocher Relatif. Si Relatif est activé, les coordonnées du point suivant, sont relatives au premier point. Si elle n'est pas cochée, les coordonnées sont absolues, et, commencent à partir du point d'origine (0,0,0).
  • Pressez la touche T, ou activez/désactivez la case à cocher Continue. Si la case à cocher Continue est activée, et, que vous avez terminé votre cotation, la fonction redémarre automatiquement, vous permettant, de tirer une autre cotation sans devoir appuyer sur le bouton.
  • Appuyez sur ESC pour annuler l'opération.La cotation nouvellement créée adopte le style de ligne actif.
  • En cliquant, sur une arête existante avec la touche ALT, au lieu d'entrer un point de mesure, la cotation deviendra paramétrique et sera liée aux bords. Si les points de terminaison de ces arêtes se déplacent par la suite, la cotation les suivra.
  • La direction de la dimension peut être modifiée plus tard en modifiant la "Direction" dans les propriétés

Propriétés

  • DONNÉESStart: Le point de départ de la cote
  • DONNÉESEnd: Le point final de la cote
  • DONNÉESDimline: Le point donnant la valeur de la dimension de la ligne de cote
  • DONNÉESDisplay Mode: Spécifie si le texte de la cotation est aligné à la cote ou toujours face à la vue
  • VUEFont Size: La hauteur des lettres
  • VUEExt Lines: La dimension de l'extension de la ligne (entre les points de mesure et la ligne de cote)
  • VUEText Position: Est utilisé pour forcer l’affichage du texte à une certain position sur la ligne de cote
  • VUEText Spacing: Spécifie l'espace entre le texte et la ligne
  • VUEOverride: Spécifie le texte a afficher à la place de la valeur de la dimension. Utilisez le mot "$dim", devant le texte pour afficher la nouvelle cote
  • VUEFont Name: La police de texte à utiliser. La police par défaut est "Arial", de style "sans", "serif" ou "mono", ou de la même famille que "Arial,Helvetica,sans" ou un nom du style "Arial:Bold". Si aucune police n'est trouvée sur le système une police générique est utilisée à la place.
  • VUEArrow Type: Le type de flèches utilisées
  • VUEArrow Size: La dimension de la flèche
  • VUEDecimals: Le nombre de décimales a utiliser pour la cote
  • VUEFlip Arrows: Inverse l'orientation des flèches

Data

  • DATAStart: specifies the start point of the distance to measure.
  • DATAEnd: specified the end point of the distance to measure.
  • DATADimline: specifies a point through which the dimension line must pass.
  • DATADistance: (read-only) indicates the measured length.
  • DATADiameter: if it is True it displays a diameter dimension; otherwise it displays a radius dimension; this property only works if the dimension is attached to a circular arc.

View

  • VIEWExt Lines: specifies the maximum length of the extension lines that go from the measurement points to the dimension line.
  • VIEWExt Overshoot: specifies the additional length of the extension lines beyond the dimension line.
  • VIEWDim Overshoot: specifies the additional length added to the dimension line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the ends of the dimension line.
  • VIEWArrow Type: specifies the type of symbol displayed at the ends of the dimension line, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWFlip Arrows: specifies whether to flip the orientation of the symbols at the ends of the dimension line; it only works if these symbols are arrows.
  • VIEWFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VIEWFont Size: specifies the size of the letters. If the dimension object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • VIEWFlip Text: specifies whether to flip the orientation of the text indicating the measurement.
  • VIEWText Position: specifies the position of the text in absolute coordinates, referred to the origin (0,0,0); leave this property at its default value (0,0,0) to display the text next to the dimension line.
  • VIEWText Spacing: specifies the space between the text and the dimension line.
  • VIEWOverride: specifies a custom text to display instead of the actual measurement. Use the string $dim inside the text to display the measurement value.
  • VIEWDecimals: specifies the number of decimal places to display on the measurement.
  • VIEWShow Unit: if it is True the unit is displayed next to numerical value of the measurement.
  • VIEWUnit Override: specifies a unit in which to express the measurement, for example, "km", "m", "cm", "mm", "mi", "ft", "in"; leave this property blank to use the default units. introduced in version 0.17

Script

L'outil Cotation peut être utilisé dans une macro, et, dans la console Python en utilisant les fonctions suivantes :

The Dimension tool can be used in macros and from the Python console by using the following function:

Dimension = makeDimension(p1, p2, p3=None, p4=None)

There are various ways to invoke this function, depending on the arguments passed to it:

Dimension = makeDimension(p1, p2, p3=None)
Dimension = makeDimension(object, i1, i2, p4=None)
Dimension = makeDimension(object, i1, mode, p4=None)
  • Crée un objet Dimension, avec la cotation de la ligne passant par le biais de p3.
  • L'ensemble des paramètres de largeur, couleur et hauteur du texte actuel seront utilisés.
  • Il y a plusieurs façons de créer une cotation, selon les arguments que vous lui transférez:
  1. (p1, p2, p3): crée une cotation standard de p1 à p2.
  2. (objet, i1, i2, p3): crée une cotation liée à un objet donné, en mesurant la distance entre ses sommets indexés i1 et i2.
  3. (objet, i1, mode, p3): crée une cotation liée à un objet donné, i1 est l'index du bord (courbé), à mesurer et mode, est un rayon ou un diamètre. Retourne un nouvel objet créé.

To create an angular dimension use the following function:

Dimension = makeAngularDimension(center, angles, p3, normal=None)
Dimension = makeAngularDimension(center, [angle1, angle2], p3, normal=None)
  • Crée une cotation angulaire à partir du centre donné , et une liste de données angulaires passant par p3.
  • Retourne l'objet nouvellement créé.

The view properties of Dimension can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Exemple:

import math, FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(-2500, 0, 0)
Dimension1 = Draft.makeDimension(p1, p2, p3)
Dimension1.ViewObject.FontSize = 200

Polygon = Draft.makePolygon(3, radius=1000)
p4 = FreeCAD.Vector(-2000, 1500, 0)
Dimension2 = Draft.makeDimension(Polygon, 1, 2, p4)
Dimension2.ViewObject.FontSize = 200

center = FreeCAD.Vector(2000, 0, 0)
p5 = FreeCAD.Vector(3000, 1000, 0)
angle1 = math.radians(45)
angle2 = math.radians(10)
Dimension3 = Draft.makeAngularDimension(center, [angle1, angle2], p5)
Dimension3.ViewObject.FontSize = 200

Dimension4 = Draft.makeAngularDimension(center, [angle2, angle1], p5*1.2)
Dimension4.ViewObject.FontSize = 200
Arrow-left.svg Previous: Draft Text.svg Text
Next: BSpline Draft BSpline.svg Arrow-right.svg